Last Comment Bug 766535 - [devtb] this.DeveloperToolbar is undefined when starting Firefox with toolbar previously visible
: [devtb] this.DeveloperToolbar is undefined when starting Firefox with toolbar...
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Firefox 16
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 06:18 PDT by Paul Rouget [:paul]
Modified: 2012-06-22 08:37 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
s/this/window/ (1.21 KB, patch)
2012-06-20 06:20 PDT, Paul Rouget [:paul]
no flags Details | Diff | Review
v1 (1.34 KB, patch)
2012-06-20 06:22 PDT, Paul Rouget [:paul]
no flags Details | Diff | Review
v1.1 (1.21 KB, patch)
2012-06-20 06:41 PDT, Paul Rouget [:paul]
dao+bmo: review+
Details | Diff | Review
v1.1 - to land (1.20 KB, patch)
2012-06-20 06:56 PDT, Paul Rouget [:paul]
no flags Details | Diff | Review

Description Paul Rouget [:paul] 2012-06-20 06:18:36 PDT

    
Comment 1 Paul Rouget [:paul] 2012-06-20 06:20:38 PDT
Created attachment 634872 [details] [diff] [review]
s/this/window/
Comment 2 Paul Rouget [:paul] 2012-06-20 06:22:42 PDT
Created attachment 634875 [details] [diff] [review]
v1
Comment 3 Dave Camp (:dcamp) 2012-06-20 06:30:16 PDT
This will cause the DeveloperToolbar to be instantiated every startup - move the DeveloperToolbar reference after the pref check.
Comment 4 Dão Gottwald [:dao] 2012-06-20 06:30:20 PDT
Comment on attachment 634875 [details] [diff] [review]
v1

>+      if (window.DeveloperToolbar &&

Why would DeveloperToolbar be null/undefined?
Comment 5 Paul Rouget [:paul] 2012-06-20 06:41:03 PDT
Created attachment 634894 [details] [diff] [review]
v1.1
Comment 6 Paul Rouget [:paul] 2012-06-20 06:43:07 PDT
Comment on attachment 634894 [details] [diff] [review]
v1.1

testing window.DeveloperToolbar is useless.
Comment 7 Dão Gottwald [:dao] 2012-06-20 06:44:43 PDT
Comment on attachment 634894 [details] [diff] [review]
v1.1

remove "window.", it's redundant
Comment 8 Paul Rouget [:paul] 2012-06-20 06:56:53 PDT
Created attachment 634900 [details] [diff] [review]
v1.1 - to land
Comment 9 Paul Rouget [:paul] 2012-06-21 03:32:48 PDT
https://hg.mozilla.org/integration/fx-team/rev/5a81009ec864
Comment 10 Tim Taubert [:ttaubert] 2012-06-22 08:37:00 PDT
https://hg.mozilla.org/mozilla-central/rev/5a81009ec864

Note You need to log in before you can comment on or make changes to this bug.